uniqueID.fcn <- function(x) {


# Function:   uniqueID.fcn
# Programmer: Tom Kincaid
# Date:       February 23, 2004
# Description:
#   This function creates unique site IDs by appending a unique number to each
#   occurrence of a site ID.  It is intended for survey designs that have repeat
#   visits to sites.
#   Input:
#      x = the vector of site IDs.
#   Output:
#      A vector of unique site IDs.
#   Other Functions Required: None

# Assign new site IDs

   for(id in unique(x)) {
      temp <- x == id
      x[temp] <- paste(x[temp], 1:sum(temp), sep=".")
   }

# Return the vector of site IDs

   x
}
